package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallPayLogMapper;
import com.ruoyi.mall.domain.MallPayLog;
import com.ruoyi.mall.service.IMallPayLogService;

/**
 * 支付记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
@Service
public class MallPayLogServiceImpl implements IMallPayLogService 
{
    @Autowired
    private MallPayLogMapper mallPayLogMapper;

    /**
     * 查询支付记录
     * 
     * @param id 支付记录主键
     * @return 支付记录
     */
    @Override
    public MallPayLog selectMallPayLogById(String id)
    {
        return mallPayLogMapper.selectMallPayLogById(id);
    }

    /**
     * 查询支付记录列表
     * 
     * @param mallPayLog 支付记录
     * @return 支付记录
     */
    @Override
    public List<MallPayLog> selectMallPayLogList(MallPayLog mallPayLog)
    {
        return mallPayLogMapper.selectMallPayLogList(mallPayLog);
    }

    /**
     * 新增支付记录
     * 
     * @param mallPayLog 支付记录
     * @return 结果
     */
    @Override
    public int insertMallPayLog(MallPayLog mallPayLog)
    {
        return mallPayLogMapper.insertMallPayLog(mallPayLog);
    }

    /**
     * 修改支付记录
     * 
     * @param mallPayLog 支付记录
     * @return 结果
     */
    @Override
    public int updateMallPayLog(MallPayLog mallPayLog)
    {
        return mallPayLogMapper.updateMallPayLog(mallPayLog);
    }

    /**
     * 批量删除支付记录
     * 
     * @param ids 需要删除的支付记录主键
     * @return 结果
     */
    @Override
    public int deleteMallPayLogByIds(String[] ids)
    {
        return mallPayLogMapper.deleteMallPayLogByIds(ids);
    }

    /**
     * 删除支付记录信息
     * 
     * @param id 支付记录主键
     * @return 结果
     */
    @Override
    public int deleteMallPayLogById(String id)
    {
        return mallPayLogMapper.deleteMallPayLogById(id);
    }
}
